Package Details: accel-ppp 1.11.0-2

Git Clone URL: https://aur.archlinux.org/accel-ppp.git (read-only)
Package Base: accel-ppp
Description: High performance PPTP/L2TP/PPPoE/IPoE server
Upstream URL: http://sourceforge.net/apps/trac/accel-ppp/
Licenses: GPL
Conflicts: accel-ppp-git
Submitter: dttest
Maintainer: dttest
Last Packager: dttest
Votes: 2
Popularity: 0.125216
First Submitted: 2012-05-24 07:44
Last Updated: 2016-07-29 05:59

Required by (0)

Sources (7)

Latest Comments

bidulock commented on 2015-05-13 06:14

accel-ppp 1.9.0-5 tries to move non-existent $pkgdir/usr/lib64 to $pkgdir/usr/lib and fails build

replace: [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib"

bidulock commented on 2013-06-03 18:20

accel-ppp needs to put its files in /usr/bin instead of /usr/sbin. I have mailed you a src package that does that.

bidulock commented on 2013-05-22 02:39

accel-ppp 1.7.3-3 is installing an sysvinit file in /etc/rc.d/accel-pppd. sysvinit is deprecated. Please remove installation of this file from PKGBUILD.

bidulock commented on 2013-03-13 14:09

Remove dependency on linux and linux-headers. 'linux' is not required, archlinux only runs with linux or linux-lts. linux-headers is not required for run-time.

warm commented on 2012-08-02 09:55

Today I spoke with the developer and he said that the problem was solved. He promised to add the patch to the git version of the unstable branch of the project. So I'm waiting for release ...

quantumphaze commented on 2012-07-31 01:13

I also get the same compilation problem
Using gcc-multilib 4.7.1-5

warm commented on 2012-07-11 08:45

Cmpiles with error:

...
[ 16%] Building C object accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_fsm.c.o
[ 18%] Building C object accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_lcp.c.o
/home/warm/AUR/accel-ppp/src/accel-ppp-1.7.0/accel-pppd/ppp/ppp_lcp.c: In function 'send_echo_request':
/home/warm/AUR/accel-ppp/src/accel-ppp-1.7.0/accel-pppd/ppp/ppp_lcp.c:638:23: error: storage size of 'ifreq' isn't known
/home/warm/AUR/accel-ppp/src/accel-ppp-1.7.0/accel-pppd/ppp/ppp_lcp.c:638:23: warning: unused variable 'ifreq' [-Wunused-variable]
make[2]: *** [accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_lcp.c.o] Error 1
make[1]: *** [accel-pppd/CMakeFiles/accel-pppd.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...


Need some patch against newest GCC ?

dttest commented on 2012-05-24 07:53

The ACCEL-PPP v1.0 is completly new implementation of PPTP/PPPoE/L2TP which was written from scratch.
Userspace daemon has its own PPP implementation, so it does not uses pppd and one process (multi-threaded) manages all connections.
ACCEL-PPP uses only kernel-mode implementations of pptp/l2tp/pppoe.

dttest commented on 2012-05-24 07:51

The ACCEL-PPP v1.0 is completly new implementation of PPTP/PPPoE/L2TP which was written from scratch.
Userspace daemon has its own PPP implementation, so it does not uses pppd and one process (multi-threaded) manages all connections.
ACCEL-PPP uses only kernel-mode implementations of pptp/l2tp/pppoe.